Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.dataview
Class DataObjectChangeEvent

    java.lang.Object
      java.util.EventObject
          org.objectstyle.cayenne.dataview.DispatchableEvent
              org.objectstyle.cayenne.dataview.DataObjectChangeEvent

All Implemented Interfaces:
  java.io.Serializable

    public class DataObjectChangeEvent

extends DispatchableEvent

See Also:
  Serialized Form

Field Summary
`static int` | `DATAOBJECT_ADDED`
`static int` | `DATAOBJECT_CHANGED`
`static int` | `DATAOBJECT_REMOVED`
`static int` | `DATAOBJECTS_CHANGED`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`DataObjectChangeEvent(java.lang.Object source, int id)`
`DataObjectChangeEvent(java.lang.Object source, int id, int affectedDataObjectIndex)`

Method Summary
`void` | `dispatch(java.util.EventListener listener)`
`int` | `getAffectedDataObjectIndex()`
`int` | `getId()`
`boolean` | `isMultiObjectChange()`
`java.lang.String` | `toString()`

Methods inherited from class org.objectstyle.cayenne.dataview.DispatchableEvent
`paramString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DATAOBJECT_ADDED

    public static final int DATAOBJECT_ADDED

See Also:
  Constant Field Values

### DATAOBJECT_REMOVED

    public static final int DATAOBJECT_REMOVED

See Also:
  Constant Field Values

### DATAOBJECT_CHANGED

    public static final int DATAOBJECT_CHANGED

See Also:
  Constant Field Values

### DATAOBJECTS_CHANGED

    public static final int DATAOBJECTS_CHANGED

See Also:
  Constant Field Values

Constructor Detail

### DataObjectChangeEvent

    public DataObjectChangeEvent(java.lang.Object source,
                                 int id)

### DataObjectChangeEvent

    public DataObjectChangeEvent(java.lang.Object source,
                                 int id,
                                 int affectedDataObjectIndex)

Method Detail

### dispatch

    public void dispatch(java.util.EventListener listener)

  Specified by:
    `dispatch` in class `DispatchableEvent`

### isMultiObjectChange

    public boolean isMultiObjectChange()

### getAffectedDataObjectIndex

    public int getAffectedDataObjectIndex()

### getId

    public final int getId()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `DispatchableEvent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.